/* This is -*- ObjC -*- */

#include <AppKit/AppKit.h>
#include <Addresses/Addresses.h>

@interface Controller : NSObject
{
  NSFileManager *_fm;
  NSArray *_peopleCache; ADGroup *_currentGroup;
  ADAddressBook *_book;
  
  id personView, scrollView, clipView;
  id groupsBrowser;
  id servicesMenu;
  id editButton, editItem;

  // Hack!
  id lastCell;

  BOOL _changed;
}

- (void) createCache;
- (NSArray *) groupNames;
- (void) selectPerson: (ADPerson*) person;
- (void) deletePersonAndSelectNext: (ADPerson*) person;
- (void) beginEditingPerson: (ADPerson*) person;
- (void) finishEditingPerson;

- (void) doEditPerson: (id) sender;
- (void) doTogglePersonEditable: (id) sender;
- (void) doCreatePerson: (id) sender;
- (void) doCreateGroup: (id) sender;
- (void) doDeleteGroup: (id) sender;
- (void) doSaveDatabase: (id) sender;

- (void) handleDatabaseChanged: (NSNotification*) note;
- (void) handlePersonDroppedOnGroup: (NSNotification*) note;
@end
