/* This is -*- ObjC -*-)

   ADPersonView.h   
   \author: Bjrn Giesler <giesler@ira.uka.de>
   
   
   
   $Author: bjoern $
   $Locker:  $
   $Revision: 1.1.1.1 $
   $Date: 2003/08/28 15:54:43 $
 */

#ifndef ADPERSONVIEW_H
#define ADPERSONVIEW_H

/* system includes */
#include <AppKit/AppKit.h>
#include <Addresses/Addresses.h>

/* my includes */
#include "ADPersonPropertyView.h"

@interface ADPersonView: NSView <ADPersonPropertyViewDelegate>
{
  NSFont *nameFont, *labelFont, *entryFont;

  NSTextFieldCell *firstNameCell, *lastNameCell, *titleCell;
  NSTextFieldCell *emailLabel, *emailCell;
  NSTextFieldCell *phoneLabel, *phoneCell;
  NSTextFieldCell *addressLabel, *addressCell;
  NSImageCell *photoCell;
  NSImageCell *addCell;
  NSMutableArray *labels;

  NSText *textObject;
  int editingCellIndex;

  NSMutableArray *allCells;

  id delegate;

  NSSize contentSize;
  BOOL selfResized;

  BOOL _fillsSuperview;
  ADPerson *_person;
  BOOL _editable;
  int _headerLineY, _footerLineY;
  int _editingViewIndex;
}

- initWithFrame: (NSRect) aRect;

- (void) layout;
- (BOOL) fillsSuperview;
- (void) setFillsSuperview: (BOOL) yesno;
- (void) calcSize;

- (void) setPerson: (ADPerson*) person;
- (ADPerson*) person;

- (void) setDelegate: (id) anObject;
- (id) delegate;

- (void) drawRect: (NSRect) rect;

- (BOOL) isEditable;
- (void) setEditable: (BOOL) yn;

- (void) superviewFrameChanged: (NSNotification*) note;
- (void) imageClicked: (id) sender;
@end

#endif /* CONTACTVIEW_H */
