// ADSinglePropertyView.h (this is -*- ObjC -*-)
// 
// \author: Bjrn Giesler <giesler@ira.uka.de>
// 
// Address View Framework for GNUstep
// 
// $Author: giesler $
// $Locker:  $
// $Revision: 1.3 $
// $Date: 2002/08/19 08:41:28 $

#ifndef ADSINGLEPROPERTYVIEW_H
#define ADSINGLEPROPERTYVIEW_H

/* system includes */
#include <AppKit/AppKit.h>
#include <Addresses/Addresses.h>

/* my includes */
/* (none) */

@interface ADSinglePropertyView: NSView
{
  NSString *_property;
  NSMutableArray *_names, *_namesUnthinned, *_values;
  ADGroup *_selectedGroup;
  ADAddressBook *_book;
  id _splitView, _groupsBrowser, _peopleTable, _ptScrollView;
  id _nameColumn, _propertyColumn;
}

- initWithFrame: (NSRect) frame;

- (void) setDisplayedProperty: (NSString*) property;
- (NSString*) displayedProperty;

// returns an array of two-string arrays (Name, Value)
- (NSArray*) selectedNamesAndValues;
// returns an array of strings
- (NSArray*) selectedValues;
@end

#endif /* ADSINGLEPROPERTYVIEW_H */
