/* All Rights reserved */

#include <AppKit/AppKit.h>
#include <Addresses/Addresses.h>
#include <AddressView/ADSinglePropertyView.h>
#include "Controller.h"

@implementation Controller
- (void) awakeFromNib
{
  [propSelector removeAllItems];

  NSArray *contents = [[[ADPerson class] properties]  
			sortedArrayUsingSelector: @selector(compare:)];
  [propSelector addItemsWithTitles: contents];
  [propSelector selectItemWithTitle: [propView displayedProperty]];
}

- (void) selectProperty: (id)sender
{
  NSLog(@"Selecting %@\n", [sender stringValue]);
  [propView setDisplayedProperty: [sender stringValue]];
}


- (void) printSelected: (id)sender
{
  NSEnumerator *e = [[propView selectedNamesAndValues] objectEnumerator];
  NSArray *a;
  while((a = [e nextObject]))
    {
      NSLog(@"%@\t%@\n", [a objectAtIndex: 0], [a objectAtIndex: 1]);
    }
}

@end
